﻿@model Avira.MarketingResearch.Model.ViewModels.Trend.MainTrendMarketMapInsertUpdateDbViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithTrendTabAndLeftMenu.cshtml";
}
@*@{
    List<string> Roles = ViewBag.UserRoleList as List<string>;
    var isAuthordisable = Roles.Contains("Author") || Roles.Contains("Co-Author");
    var isApproverdisable = Roles.Contains("Approver") || Roles.Contains("Co-Approver");
}*@ 
@using (Html.BeginForm("Index", "TrendMarketMap", FormMethod.Post, new { @class = "" }))
{
    <script src="~/ckeditor/ckeditor.js"></script>
    <div id="content" class="content m-t-25">
        @Html.Partial("_TrendDetails", @Model.TrendModel)
        <div class="navbar-form form-input-flat">
            <div class="form-group" style="width:300px;">
                @Html.TextBoxFor(m => m.MarketName, new { @class = "form-control", placeholder = "Enter keyword..." })
                <button type="submit" name="actionName" value="search" class="btn btn-search"><i class="fa fa-search"></i></button>

            </div>
        </div>

        @if (ViewBag.Message != null)
        {
        <div class="alert alert-danger alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
        }

        <!-- begin section-container -->
        <!-- begin section-container -->
        <div class="section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="form-horizontal">
                        <div class="form-group m-b-10">
                            <label class="col-lg-4 col-form-label"></label>
                            <div class="col-lg-3 text-center" style="text-align:left;">
                                <h5>Direct/Indirect</h5>
                            </div>
                            <div class="col-lg-3" style="text-align:left;">
                                <h5>End User</h5>
                            </div>
                        </div>
                        @Html.HiddenFor(x => x.TrendId)
                        @for (var i = 0; i < Model.TrendMarketMapInsertUpdate.Count; i++)
                        {
                            @Html.HiddenFor(m => m.TrendMarketMapInsertUpdate[i].MarketId)
                            @Html.HiddenFor(m => m.TrendMarketMapInsertUpdate[i].MarketName)
                            <div class="form-group m-b-10">
                                <label class="col-lg-4 col-form-label">@Model.TrendMarketMapInsertUpdate[i].MarketName</label>
                                <div class="col-lg-3">
                                    @Html.DropDownListFor(m => m.TrendMarketMapInsertUpdate[i].ImpactId, new SelectList(ViewBag.ImpactList, "Id", "ImpactTypeName"), "",new { @class = "form-control" })

                                </div>
                                <div class="col-lg-3 checkbox p-t-5">
                                    <label>
                                        @*<input type="checkbox" id="blankCheckbox" value="option1" />*@
                                        @Html.CheckBoxFor(m => m.TrendMarketMapInsertUpdate[i].EndUser)
                                    </label>
                                </div>
                            </div>
                        }


                    </div>
                </div>

            </div>
            <!-- end row -->
            <div class="row">
                <div class="col-lg-6"></div>
                <div class="col-lg-6">
                    @{
                        var prevDisabled = "";//!Model.TrendMarketMapInsertUpdate.HasPreviousPage ? "disabled" : "";
                        var nextDisabled = "";// !Model.TrendMarketMapInsertUpdate.HasNextPage ? "disabled" : "";
                    }

                    <input name="totalRecords" type="hidden" value="@ViewBag.totalRecords" />
                    <input name="PageStart" type="hidden" value="@ViewBag.PageStart" />
                    <input name="sortOrder" type="hidden" value="@ViewData["CurrentSort"]" />
                    <input name="currentFilter" type="hidden" value="@ViewData["CurrentFilter"]" />
                    <input name="currentFilter" type="hidden" value="@ViewBag.totalRecords" />
                    @{
                        ViewBag.CurrentPage = (ViewBag.CurrentPage == null || ViewBag.CurrentPage == 0) ? 1 : ViewBag.CurrentPage;
                        var prevButton = ViewBag.CurrentPage == 1 ? 1 : ViewBag.CurrentPage - 1;

                    }
                    <ul class="pagination pagination-sm pagination-inverse">
                        <li>
                            <a asp-action="Index" asp-route-currentpage="@prevButton"
                               asp-route-totalRecords="@ViewBag.totalRecords"
                               asp-route-Direction="Previous"
                               asp-route-PageStart="@ViewBag.PageStart"
                               asp-route-sortOrder="@ViewData["CurrentSort"]"
                               asp-route-currentFilter="@ViewData["CurrentFilter"]">
                                <<
                            </a>
                        </li>

                        @for (var i = 1; i <= ViewBag.totalPage; i++)
                        {
                            <li class="page-item @(i == ViewBag.CurrentPage ? "active" : "")">

                                <a asp-action="Index" asp-route-currentpage="@i"
                                   asp-route-totalRecords="@ViewBag.totalRecords"
                                   asp-route-Direction=""
                                   asp-route-PageStart="@ViewBag.PageStart"
                                   asp-route-sortOrder="@ViewData["CurrentSort"]"
                                   asp-route-currentFilter="@ViewData["CurrentFilter"]">
                                    @i
                                </a>

                            </li>
                        }
                            <li>
                                @{
                                    var nextButton = ViewBag.totalPage == ViewBag.CurrentPage ? ViewBag.CurrentPage : ViewBag.CurrentPage + 1;
                                    
                                }
                                <a asp-action="Index" asp-route-currentpage="@nextButton"
                                   asp-route-totalRecords="@ViewBag.totalRecords"
                                   asp-route-Direction="Next"
                                   asp-route-PageStart="@ViewBag.PageStart"
                                   asp-route-sortOrder="@ViewData["CurrentSort"]"
                                   asp-route-currentFilter="@ViewData["CurrentFilter"]">
                                    >>
                                </a>
                            </li>
                    </ul>

                </div>
            </div>
        </div>
        <!-- begin section-container -->
        <div class="section-container section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes</h4>
                        </div>
                        @*<textarea class="form-control no-rounded-corner"
        rows="6">This is a form textarea.</textarea>*@
                        @*@Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isAuthordisable })*@
                        @Html.TextAreaFor(m => m.TrendNoteModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script type="text/javascript">

                            CKEDITOR.replace('TrendNoteModel.AuthorRemark', {  // Define the toolbar groups as it is a more accessible solution.
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",

                                    "groups": ["basicstyles"]

                                },

                                {

                                    "name": "links",

                                    "groups": ["links"]

                                },

                                {

                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",

                                    "groups": ["mode"]

                                },

                                {

                                    "name": "insert",

                                    "groups": ["insert"]

                                },

                                {

                                    "name": "styles",

                                    "groups": ["styles"]

                                },

                                {

                                    "name": "about",

                                    "groups": ["about"]

                                }

                                ],

                                // Remove the redundant buttons from toolbar groups defined above.

                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'

                            });

                        </script>
                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @*<textarea class="form-control no-rounded-corner"
        rows="6">This is a form textarea.</textarea>*@
                        @*@Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner", @readonly = @isApproverdisable })*@
                        @Html.TextAreaFor(m => m.TrendNoteModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script type="text/javascript">
                            CKEDITOR.replace('TrendNoteModel.ApproverRemark', {  // Define the toolbar groups as it is a more accessible solution.
                                height: 40,
                                toolbarGroups: [{

                                    "name": "basicstyles",

                                    "groups": ["basicstyles"]

                                },

                                {

                                    "name": "links",

                                    "groups": ["links"]

                                },

                                {

                                    "name": "paragraph",

                                    "groups": ["list", "blocks"]

                                },

                                {

                                    "name": "document",

                                    "groups": ["mode"]

                                },

                                {

                                    "name": "insert",

                                    "groups": ["insert"]

                                },

                                {

                                    "name": "styles",

                                    "groups": ["styles"]

                                },

                                {

                                    "name": "about",

                                    "groups": ["about"]

                                }

                                ],

                                // Remove the redundant buttons from toolbar groups defined above.

                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("_TrendAction")
        @*<div class="section-container section-with-top-border p-b-10">
                <div style="text-align: center;">
                    <p>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Previous</button>
                        <button type="submit" name="actionName" value="save" class="btn btn-grey m-b-5">Save</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Cancel</button>
                        <button type="submit" name="actionName" value="submit" class="btn btn-grey m-b-5">Submit</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Approve</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Reject</button>
                        <button type="button" name="actionName" class="btn btn-grey m-b-5">Next</button>
                    </p>
                </div>
            </div>*@
        <!-- end section-container -->
        <!-- begin #footer -->
        <div id="footer" class="footer">
            <span class="pull-right">
                <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                    <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                </a>
            </span>
            &copy; 2018 <b>Source Admin</b> All Right Reserved
        </div>
        <!-- end #footer -->
    </div>
}

